(GDOC
(P
-abc 
(Q
-quote
)Q
- def
(IE
-index entry
)IE
)P
(P
-abc 
(Q
-quote2
)Q
- def
(IE
-index entry
)IE
-\nghi jkl mno
)P
(P
)P
(P
-a 
(Q
-quoted
)Q
- string\nanother
)P
(P
(Q
-quoted string with 
(NESTEDQ
-nested and 
(Q
-inner
)Q
- nested
)NESTEDQ
- quotes
)Q
)P
(P
-string\nR: record\nR: record\nS: sub-record\nS: sub-record\nR: record\nS: sub-record\nR: record
)P
)GDOC
